/*---------------------------------------------------------------------\
|                                                                      |
|                     _     _   _   _     __     _                     |
|                    | |   | | | \_/ |   /  \   | |                    |
|                    | |   | | | |_| |  / /\ \  | |                    |
|                    | |__ | | | | | | / ____ \ | |__                  |
|                    |____||_| |_| |_|/ /    \ \|____|                 |
|                                                                      |
|                             nfs-server library                       |
|                                                                      |
|                                         (C) SUSE Linux Products GmbH |
|                                         (C) Novell, Inc.             |
\----------------------------------------------------------------------/

  File:       KNfsServer.hpp

  Author:     Marius Tomaschewski, Chakravarthi P
  Maintainer: Chakravarthi P

/-*/
/**
 * @file   KNfsServer.hpp
 * @brief  KNfs server interface.
 */
#ifndef   LIMAL_NFS_SERVER_KNFS_SERVER_HPP
#define   LIMAL_NFS_SERVER_KNFS_SERVER_HPP

#include <limal/nfs-server/config.h>
#include <limal/nfs-server/NfsServer.hpp>
#include <limal/nfs-server/NfsExports.hpp>

#include <blocxx/String.hpp>


// -------------------------------------------------------------------
namespace LIMAL_NAMESPACE
{
namespace NFS_SERVER_NAMESPACE
{


// -------------------------------------------------------------------
/**
 * NfsServer specialized for Linux kernel nfsd.
 */
class KNfsServer: public NfsServer
{
public:
	/**
	 * Construct a NfsServer object specialized
	 * to handle the Linux kernel nfsd.
	 */
	KNfsServer();

	/**
	 * Destruct KNfsServer object.
	 */
	~KNfsServer();

	/*
	 * Returns a name of the nfs server.
	 * @return name of the nfs server
	blocxx::String		getServerName() const;
	 */

private:
};


// -------------------------------------------------------------------
}      // End of NFS_SERVER_NAMESPACE
}      // End of LIMAL_NAMESPACE

#endif // LIMAL_NFS_SERVER_KNFS_SERVER_HPP
// vim: set ts=8 sts=8 sw=8 ai noet:
